package schedframe.scheduling;

import org.joda.time.DateTime;

public class ExecutionHistoryItem {

	protected DateTime timeStamp;
	protected double completionPercentage;
	protected double estimatedDuration;
	protected int status;
	protected int resUsageIndex;

	public ExecutionHistoryItem(DateTime time){
		this.timeStamp = time;
	}

	public DateTime getTimeStamp(){
		return timeStamp;
	}

	public double getCompletionPercentage() {
		return completionPercentage;
	}

	public void setCompletionPercentage(double completionPercentage) {
		this.completionPercentage = completionPercentage;
	}

	public double getEstimatedDuration() {
		return estimatedDuration;
	}

	public void setEstimatedDuration(double estimatedDuration) {
		this.estimatedDuration = estimatedDuration;
	}

	public int getResIndex() {
		return resUsageIndex;
	}

	public void setResIndex(int resUsageIndex) {
		this.resUsageIndex = resUsageIndex;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	
}
